Members
Change member role
Change a member’s role.
PATCH
/
v1
/
members
/
{subject}
Change member role
curl --request PATCH \
--url https://api.getmillwork.dev/v1/members/{subject} \
--header 'Content-Type: application/json' \
--cookie solverapi_session= \
--data '{}'const options = {
method: 'PATCH',
headers: {cookie: 'solverapi_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.getmillwork.dev/v1/members/{subject}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": "2023-11-07T05:31:56Z",
"identity_email": "<string>",
"identity_name": "<string>",
"identity_subject": "<string>",
"invited_by": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z",
"role": "owner"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}Authorizations
Dashboard browser session. Do not use this credential in an application.
Path Parameters
Body
application/json
Available options:
owner, billing_admin, admin, developer, viewer Response
Default Response
Available options:
owner, billing_admin, admin, developer, viewer ⌘I
Change member role
curl --request PATCH \
--url https://api.getmillwork.dev/v1/members/{subject} \
--header 'Content-Type: application/json' \
--cookie solverapi_session= \
--data '{}'const options = {
method: 'PATCH',
headers: {cookie: 'solverapi_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.getmillwork.dev/v1/members/{subject}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": "2023-11-07T05:31:56Z",
"identity_email": "<string>",
"identity_name": "<string>",
"identity_subject": "<string>",
"invited_by": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z",
"role": "owner"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}